# Jeb.lo - klata

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 8.3.24.

## Basic rules
- DO NOT work on or push directly to master or production
- use gitLab issue->mr->deploy flow
- use [semantic commit messages](https://seesparkbox.com/foundry/semantic_commit_messages)
- have fun ;)

## Requirements

 - Node version 12.14
 - NPM, version 6.13
 - Angular CLI version 9.1.0
 
## First run

Run `npm install` to install all necessary dependencies.

## Development server

Run `ng serve` or `npm run dev` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `--prod` flag for a production build.

## Production server

Run `node server.js` to run a production server. Uses build artifacts stored in `dist/jeb-lo-klata`.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI README](https://github.com/angular/angular-cli/blob/master/README.md).



